curl --request GET \
--url https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dataset_id": "gd_l7q7dkf244hwjntr0",
"from_date": "2026-11-01T00:00:00.000Z",
"to_date": "2026-11-16T00:00:00.000Z",
"snapshots_count": 207,
"included_snapshots_count": 207,
"fields": [
{
"name": "title",
"filled": 299,
"total": 299,
"fill_rate": 100
},
{
"name": "final_price",
"filled": 253,
"total": 299,
"fill_rate": 84.62
},
{
"name": "seller_name",
"filled": 240,
"total": 285,
"fill_rate": 84.21
},
{
"name": "categories",
"filled": 92,
"total": 285,
"fill_rate": 32.28
}
]
}Get scraper fill rates
Get per-field fill rates for a Bright Data Scraper API scraper. GET /datasets/v3/scraper//fill_rate covers your snapshots over up to 31 days.
curl --request GET \
--url https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/datasets/v3/scraper/{dataset_id}/fill_rate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dataset_id": "gd_l7q7dkf244hwjntr0",
"from_date": "2026-11-01T00:00:00.000Z",
"to_date": "2026-11-16T00:00:00.000Z",
"snapshots_count": 207,
"included_snapshots_count": 207,
"fields": [
{
"name": "title",
"filled": 299,
"total": 299,
"fill_rate": 100
},
{
"name": "final_price",
"filled": 253,
"total": 299,
"fill_rate": 84.62
},
{
"name": "seller_name",
"filled": 240,
"total": 285,
"fill_rate": 84.21
},
{
"name": "categories",
"filled": 92,
"total": 285,
"fill_rate": 32.28
}
]
}Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer YOUR_API_KEY
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Dataset ID of the scraper, for example gd_l7q7dkf244hwjntr0 (Amazon products). Find dataset IDs with Get all scrapers.
"gd_l7q7dkf244hwjntr0"
Query Parameters
Response
Fill rates for the requested scraper and time frame
Number of snapshots used in the fill-rate calculation. Lower than snapshots_count when some snapshots have no fill-rate statistics: snapshots that collected no successful records, and older snapshots whose field statistics were not recorded. Get snapshot fill rates returns HTTP 409 for those snapshots.
Was this page helpful?